locked
Installation error while installing LighSwitch Beta 2 RRS feed

  • Question

  • I am trying to install LightSwitch Beta2 on XP with SP3 I am getting following errors, I already have VS2010 professional and full SQL Server 2008 Installed on my desktop.

    [06/13/11,10:12:22] Microsoft SQL Server 2008 Express Service Pack 1 (x86): [2] Error code -2067529723 for this component is not recognized.
    [06/13/11,10:12:22] Microsoft SQL Server 2008 Express Service Pack 1 (x86): [2] Component Microsoft SQL Server 2008 Express Service Pack 1 (x86) returned an unexpected value.
    [06/13/11,10:12:34] SimpleUI: [2] DepCheck indicates Microsoft SQL Server 2008 Express Service Pack 1 (x86) is not installed.
    [06/13/11,10:12:34] SimpleUI: [2] DepCheck indicates Microsoft Silverlight 4.0 was not attempted to be installed.
    [06/13/11,10:12:34] SimpleUI: [2] DepCheck indicates Microsoft Visual Studio LightSwitch Beta 2 Deployment Prerequisites was not attempted to be installed.
    [06/13/11,10:12:34] SimpleUI: [2] DepCheck indicates Microsoft Visual Studio LightSwitch Beta 2 - ENU was not attempted to be installed.

    Thanks,


    b1k1m1
    Monday, June 13, 2011 2:23 PM

All replies

  • Try to repair your SQL Server installation. You should have SQL Express even if you have a 'full SQL Server 2008'.  Do you have one? If not install one try again.
    mysorian
    Monday, June 13, 2011 2:30 PM
  • SQL Express is installed by LS & is REQUIRED for the debug experience that LS provides, even if you already have full SQL.

    You can attach to full SQL instances for external data sources, & you can publish to full SQL instances, but if you try to interfere with LS using SQL Express you will have problems.

    Did you already have some version of SQL Express installed before you installed LS?


    Yann - Plus ça change, plus c'est la même chose!
    Monday, June 13, 2011 11:14 PM